use crossterm::style::Color;
use crossterm::style::Color::Rgb;

pub struct Colorscheme {
    pub title: Color,
    pub subtitle: Color,
    pub text: Color,
    pub background: Color,
    pub status_text: Color,
    pub status_background: Color,
    pub currentline: Color,
    pub highlighted_background: Color,
    pub highlighted_text: Color,
}

pub const WHITE: Color = Rgb {
    r: 230,
    g: 230,
    b: 230,
};
pub const GRAY: Color = Rgb {
    r: 163,
    g: 163,
    b: 163,
};
pub const GRAY2: Color = Rgb {
    r: 189,
    g: 189,
    b: 189,
};
pub const BLACK: Color = Rgb {
    r: 40,
    g: 40,
    b: 40,
};

// pub const BLACK2: Color = Rgb {
//     r: 20,
//     g: 20,
//     b: 20,
// };

impl Colorscheme {
    pub fn default() -> Self {
        Self {
            title: GRAY,
            subtitle: GRAY,
            text: WHITE,
            background: BLACK,
            status_text: BLACK,
            status_background: WHITE,
            currentline: GRAY2,
            highlighted_background: WHITE,
            highlighted_text: GRAY,
        }
    }
}
